{{- if .Values.serviceAccount.create -}}
apiVersion: v1
kind: ServiceAccount
metadata:
  name: {{ .Values.serviceAccount.name }}
  namespace: {{ .Values.namespace }}
  labels:
    {{- include "kpack.labels" . | nindent 4 }}
  {{- with .Values.serviceAccount.annotations }}
  annotations:
    {{- toYaml . | nindent 4 }}
  {{- end }}
secrets: {{- range .Values.serviceAccount.secrets }}
  {{- if . }}
  - name: {{ . }}
  {{- end }}
{{- end }}
imagePullSecrets: {{- range .Values.serviceAccount.imagePullSecrets }}
  {{- if . }}
  - name: {{ . }}
  {{- end }}
{{- end }}
{{- end }}
